6.0.0-git
2019-04-21

[#8443] Class 'Horde' not found in lib/Horde/SessionHandler/memcache.php on line 232
Summary Class 'Horde' not found in lib/Horde/SessionHandler/memcache.php on line 232
Queue Horde Base
Queue Version 3.3.4
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester robb (at) wtg (dot) cw (dot) com
Created 2009-07-19 (3563 days ago)
Due
Updated 2009-08-18 (3533 days ago)
Assigned 2009-08-18 (3533 days ago)
Resolved 2009-08-18 (3533 days ago)
Milestone
Patch No

History
2009-08-18 16:49:42 Jan Schneider Comment #16
Assigned to Jan Schneider
State ⇒ Resolved
Reply to this comment
That was a tough one, but now I know more about the PHP engine. :)

Thanks for testing!
2009-08-18 16:39:50 robb (at) wtg (dot) cw (dot) com Comment #14 Reply to this comment
no errors, looks good!
2009-08-18 16:27:28 Jan Schneider Comment #13 Reply to this comment
Please try putting a "session_write_close();" at the end of the 
close() method in SyncML/Backend.php.
2009-08-18 14:35:38 robb (at) wtg (dot) cw (dot) com Comment #12 Reply to this comment
have supplied full backtrace in a direct email. If you need more info 
let me know.
2009-08-18 14:19:15 Jan Schneider Comment #11
State ⇒ Feedback
Reply to this comment
Just paste the complete backtrace. Yours was cut off.
2009-08-18 14:01:47 robb (at) wtg (dot) cw (dot) com Comment #10 Reply to this comment
The solution is: works for us. And you didn't provide the requested
information to help us fixing anything we don't see.
sorry, I've been away till Sunday and catching up. After the quoted 
backtrace it went to session data, I can give you this, or is there a 
better way of capturing a fuller backtrace?
2009-08-18 13:49:13 Jan Schneider Comment #9 Reply to this comment
The solution is: works for us. And you didn't provide the requested 
information to help us fixing anything we don't see.
2009-08-18 13:42:21 robb (at) wtg (dot) cw (dot) com Comment #8 Reply to this comment
what's the resolution?
2009-08-18 13:32:14 Jan Schneider State ⇒ Resolved
 
2009-08-03 15:21:18 Jan Schneider Comment #7 Reply to this comment
No, it's not sufficient, we need a more complete backtrace.
2009-07-21 09:20:06 robb (at) wtg (dot) cw (dot) com Comment #6 Reply to this comment
I can let you have more of the backtrace over email, but there's auth 
and other data in there, however this is probably what you need...



Array

     [0] => Array

         (

             [file] => /usr/share/horde/lib/Horde/SessionHandler.php

             [line] => 257

             [function] => _write

             [class] => SessionHandler_memcache

             [object] => SessionHandler_memcache Object

                 (

                     [_memcache] => Horde_Memcache Object

                         (

                             [_memcache] => Memcache Object

                                 (

                                     [connection] => Resource id #31


2009-07-20 17:05:49 Jan Schneider Comment #5
State ⇒ Feedback
Reply to this comment
That doesn't make any sense to me, since Horde's session handler is 
only instantiated if using the Horde backend of the SyncML server.

Try logging a debug_backtrace() output in that line of memcache.php so 
that we can see from where it's called.
2009-07-20 16:50:52 robb (at) wtg (dot) cw (dot) com Comment #4 Reply to this comment
no luck, applied the patch by hand...



   grep -1 ^require_once /usr/share/horde/lib/SyncML/Backend/Horde.php



   require_once 'Horde.php';

   require_once 'Horde/Auth.php';



still get the same error message.
2009-07-20 15:42:58 Jan Schneider Comment #3
State ⇒ Resolved
Reply to this comment
Should be fixed now.
2009-07-19 11:32:54 robb (at) wtg (dot) cw (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Class 'Horde' not found in lib/Horde/SessionHandler/memcache.php on line 232
Queue ⇒ Horde Base
Milestone ⇒
Patch ⇒ No
Reply to this comment
With memcache enabled syncml is failing, the error message is found in 
the client_11.wbxml file:



"<b>Fatal error</b>:  Class 'Horde' not found in 
<b>/usr/share/horde/lib/Horde/SessionHandler/memcache.php</b> on line 
<b>232</b><br />"



Without memcache sync is fine.

Saved Queries